/**
  ******************************************************************************
  * @file    sh3xf2xx_sa0_int.h 
  * @author  
  * @version V1.1.0
  * @date    15-April-2016
  * @brief   This file contains the headers of the interrupt handlers.
  ******************************************************************************
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __SH3xF2xx_SA0_INT_H__
#define __SH3xF2xx_SA0_INT_H__

#ifdef __cplusplus
 extern "C" {
#endif 

/* Includes ------------------------------------------------------------------*/
#ifdef _RTE_
#include "RTE_Components.h"    
#include CMSIS_device_header
#endif

/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported functions ------------------------------------------------------- */

void NMI_Handler(void);
void HardFault_Handler(void);
void MemManage_Handler(void);
void BusFault_Handler(void);
void UsageFault_Handler(void);
void SVC_Handler(void);
void DebugMon_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);


extern void WWDT_Handler       (void);
extern void BOD_Handler        (void);
extern void RCC_Handler        (void);
extern void EXTI0_Handler      (void);
extern void EXTI1_Handler      (void);
extern void EXTI2_Handler      (void);
extern void EXTI3_Handler      (void);
extern void EXTI4_Handler      (void);
extern void DMA_CH0_Handler    (void);
extern void DMA_CH1_Handler    (void);
extern void DMA_CH2_7_Handler  (void);
extern void MCM1_FLT_Handler   (void); 
extern void MCM1_PWM_Handler   (void); 
extern void MCM2_FLT_Handler   (void); 
extern void MCM2_PWM_Handler   (void); 
extern void ADC1_Handler       (void);
extern void ADC2_Handler       (void);
extern void ADC3_Handler       (void);
extern void GPT0_GTCIV_Handler (void);
extern void GPT0_GTCIN_Handler (void);
extern void GPT1_GTCIV_Handler (void);
extern void GPT1_GTCIN_Handler (void);
extern void GPT2_GTCIV_Handler (void);
extern void GPT2_GTCIN_Handler (void);
extern void GPT3_GTCIV_Handler (void);
extern void GPT3_GTCIN_Handler (void);
extern void GPT_POE_Handler    (void);
extern void EXTI9_5_Handler    (void);
extern void CMP1_Handler       (void);
extern void CMP2_Handler       (void);
extern void CMP3_Handler       (void);
extern void QEI_Handler        (void);
extern void TWI_Handler        (void);
extern void SPI1_Handler       (void);
extern void SPI2_Handler       (void);
extern void UART1_Handler      (void);
extern void UART2_Handler      (void);
extern void UART3_Handler      (void);
extern void EXTI15_10_Handler  (void);
extern void TIM5_Handler       (void);
extern void TIM6_Handler       (void);
extern void TIM7_Handler       (void);
extern void TIM8_Handler       (void);


#ifdef __cplusplus
}
#endif

#endif /* __SH3xF2xx_SA0_INT_H__ */

/************************ (C) COPYRIGHT Sinowealth *****END OF FILE****/
